from datetime import datetime

from mower.utils.graph import SceneGraphSolver

from .headhunting import Headhunting
from .orundum import Orundum
from .sign_in import SignIn


class SignInSolver(SceneGraphSolver):
    def run(self):
        success = True
        if datetime.now() < datetime(2024, 11, 15):
            success = success and SignIn().run()
            success = success and Orundum().run()
            success = success and Headhunting().run()
        return success
